<?xml version="1.0" encoding="gb2312"?>
<!--airaw B010-->
<Config>
    <RAW2YUV>
        <raw_bit_width>12</raw_bit_width>   <!--[0,16]-->
        <rawnf>
            <bypass>0</bypass>
        </rawnf>
        <de>
            <bypass>1</bypass>
        </de>
        <drc>
            <bypass>1</bypass>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </drc>
        <lsc>
            <bypass>1</bypass>
        </lsc>
        <yuvnf_iir>
            <bypass>0</bypass>
        </yuvnf_iir>

        <cc>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </cc>

        <dpcc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </dpcc>

        <yuvnf>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </yuvnf>

        <sharpen>
            <use_manual>1</use_manual>
            <switch>1</switch>
        </sharpen>
        <sharpen_arsr>
            <use_manual>1</use_manual>
            <switch>1</switch>
        </sharpen_arsr>

        <single_frame_sharpen>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </single_frame_sharpen>
        <single_frame_arsr>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </single_frame_arsr>
    </RAW2YUV>

    <ISP>
        <!--Qcom ISP pipe mode
        [ 0~ 7] BPS_PC            BPS_LINERA          BPS_PDPC      BPS_DEMUX          BPS_HDR                    BPS_GIC        BPS_ABF        BPS_BLS
        [ 8~15] BPS_LSC           BPS_WB              BPS_DEMOSAIC  BPS_CC             BPS_GTM                    BPS_GAMMA      BPS_CST        IPE_NPS_ANR
        [16~23] IPE_NPS_ANR_LUMA  IPE_NPS_ANR_CHROME  IPE_NPS_TF    IPE_MFHDR          IPE_MFHDR_GTM              IPE_MFHDR_LTM  IPE_PPS_HDR    IPE_PPS_LENR
        [24~31] IPE_PPS_CAC       IPE_PPS_CST         IPE_PPS_LTM   IPE_PPS_LTM_GAMMA  IPE_PPS_LTM_LOCALCONTRAST  IPE_PPS_CC     IPE_PPS_GAMMA  IPE_PPS_TDL
        [32~37] IPE_PPS_CV        IPE_PPS_CS          IPE_PPS_ASF   IPE_PPS_UPSCALER   IPE_PPS_GRA                META_MERGE
        -->
        <!--All pipe-->
        <custom_pq_profile_0>33 33</custom_pq_profile_0>
        <module_disable_0>
                          0 0 0 0 0 0 0 0
                          0 0 0 0 0 0 0 0
                          0 0 0 0 0 0 0 0
                          0 0 0 0 0 0 0 0
                          0 0 0 0 0 0
        </module_disable_0>
        <!--hwDRC pipe-->
        <custom_pq_profile_1>27 28</custom_pq_profile_1>
        <module_disable_1>
                          1 1 1 1 1 1 1 1
                          1 1 1 0 0 0 0 0
                          1 0 1 1 1 1 1 1
                          0 0 0 0 0 0 0 0
                          0 0 0 1 1 1
        </module_disable_1>
        <custom_pq_profile_2>27 28</custom_pq_profile_2>
        <module_disable_2>
                          1 1 1 1 1 1 1 1
                          1 1 1 0 0 0 0 0
                          1 0 1 1 1 1 1 1
                          0 0 0 0 0 1 0 0
                          0 0 0 1 1 1
        </module_disable_2>
        <!--swDRC pipe-->
        <custom_pq_profile_3>25 26</custom_pq_profile_3>
        <module_disable_3>
                          1 1 1 1 1 1 1 1
                          1 1 1 0 1 0 0 0
                          1 0 1 1 1 1 1 1
                          0 0 0 0 1 1 0 0
                          0 0 0 1 1 1
        </module_disable_3>
        <custom_pq_profile_4>25 26</custom_pq_profile_4>
        <module_disable_4>
                          1 1 1 1 1 1 1 1
                          1 1 1 0 1 0 0 0
                          1 0 1 1 1 1 1 1
                          0 0 0 0 1 1 0 0
                          0 0 0 1 1 1
        </module_disable_4>
        <custom_pq_profile_5>25 26</custom_pq_profile_5>
        <module_disable_5>
                          1 1 1 1 1 1 1 1
                          1 1 1 1 1 1 0 0
                          1 0 1 1 1 1 1 1
                          0 0 1 1 1 1 1 1
                          0 1 0 1 1 1
        </module_disable_5>
        <custom_pq_profile_6>25 26</custom_pq_profile_6>
        <module_disable_6>
                          1 1 1 1 1 1 1 1
                          1 1 1 1 1 1 0 0
                          1 0 1 1 1 1 1 1
                          0 0 1 1 1 1 1 0
                          0 1 0 1 1 1
        </module_disable_6>
    </ISP>
</Config>
